#pragma once

#include "CoreMinimal.h"
#include "AISkill_Interaction.h"
#include "DataTableDropdown.h"
#include "AISkill_Interaction_BloodRush.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDBOTS_API UAISkill_Interaction_BloodRush : public UAISkill_Interaction
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float AfterExhaustionMinimumDelaySeconds;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float ForceUseAtRemainingPercent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDataTableDropdown PerkID;

public:
	UAISkill_Interaction_BloodRush();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Interaction_BloodRush) { return 0; }
